﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/string.h>

#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace Aspose
{
namespace TeX
{
namespace Features
{
class MathRendererOptions;
} // namespace Features
namespace Logging
{
class TeXError;
class TeXLog;
} // namespace Logging
namespace Presentation
{
namespace Image
{
class ImageDevice;
} // namespace Image
class SaveOptions;
} // namespace Presentation
class TeXOptions;
} // namespace TeX
} // namespace Aspose
namespace System
{
namespace Drawing
{
class SizeF;
} // namespace Drawing
namespace IO
{
class Stream;
} // namespace IO
} // namespace System

namespace Aspose {

namespace TeX {

namespace Features {

/// <summary>
/// The <b>Aspose.TeX.Features</b> namespace provides additional TeX(LaTeX) features.
/// </summary>
class NamespaceDoc : public System::Object
{
    typedef NamespaceDoc ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    RTTI_INFO_DECL();
    
};

/// <summary>
/// Implements rendering of math formula.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS MathRenderer final : public System::Object
{
    typedef MathRenderer ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Renders a math formula.
    /// </summary>
    /// <param name="formula">The formula LaTeX program.</param>
    /// <param name="stream">The stream to write the output to.</param>
    /// <param name="mathRendererOptions">The rendering options.</param>
    /// <param name="size">The output image size.</param>
    static ASPOSE_TEX_SHARED_API void Render(System::String formula, System::SharedPtr<System::IO::Stream> stream, System::SharedPtr<MathRendererOptions> mathRendererOptions, System::Drawing::SizeF& size);
    
private:

    static System::String Template;
    
    MathRenderer();
    
    MEMBER_FUNCTION_MAKE_OBJECT_DECLARATION(MathRenderer, CODEPORTING_ARGS());
    static System::SharedPtr<Aspose::TeX::Presentation::SaveOptions> GetSaveOptions(System::SharedPtr<MathRendererOptions> mathRendererOptions);
    static System::Drawing::SizeF Finish(System::SharedPtr<MathRendererOptions> mathRendererOptions, System::SharedPtr<TeXOptions> options, System::SharedPtr<Aspose::TeX::Presentation::Image::ImageDevice> device, System::SharedPtr<System::IO::Stream> stream);
    static System::SharedPtr<Aspose::TeX::Logging::TeXError> GetFirstError(System::SharedPtr<Aspose::TeX::Logging::TeXLog> log);
    static System::String GetErrorReport(System::SharedPtr<Aspose::TeX::Logging::TeXError> error);
    
};

} // namespace Features
} // namespace TeX
} // namespace Aspose


