﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include "Aspose.TeX.Cpp/Features/MathRendererOptions.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace Aspose {

namespace TeX {

namespace Features {

/// <summary>
/// Math formula PNG rendering options.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS PngMathRendererOptions : public Aspose::TeX::Features::MathRendererOptions
{
    typedef PngMathRendererOptions ThisType;
    typedef Aspose::TeX::Features::MathRendererOptions BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Gets/sets image resolution.
    /// </summary>
    ASPOSE_TEX_SHARED_API int32_t get_Resolution() const;
    /// <summary>
    /// Gets/sets image resolution.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_Resolution(int32_t value);
    
    ASPOSE_TEX_SHARED_API PngMathRendererOptions();
    
private:

    int32_t _resolution;
    
};

} // namespace Features
} // namespace TeX
} // namespace Aspose


