﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/object.h>
#include <system/idisposable.h>

#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace System
{
namespace IO
{
class Stream;
} // namespace IO
class String;
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// The <b>Aspose.TeX.IO</b> namespace provides classes for I/O that TeX engine performs.
/// </summary>
class NamespaceDoc : public System::Object
{
    typedef NamespaceDoc ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    RTTI_INFO_DECL();
    
};

/// <summary>
/// Interface of generalized input working directory.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS IInputWorkingDirectory : public System::IDisposable
{
    typedef IInputWorkingDirectory ThisType;
    typedef System::IDisposable BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Returns the stream to read from or to write to.
    /// </summary>
    /// <param name="fileName">The file name.</param>
    /// <param name="fullName">The full file name.</param>
    /// <param name="searchSubdirectories">Indicates whether to look for a file in subdirectories.</param>
    /// <returns>The stream.</returns>
    virtual System::SharedPtr<System::IO::Stream> GetFile(System::String fileName, System::String& fullName, bool searchSubdirectories = false) = 0;
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


