﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include "Aspose.TeX.Cpp/IO/IInputWorkingDirectory.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace System
{
namespace IO
{
class Stream;
} // namespace IO
class String;
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// Interface of generalized output working directory.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS IOutputWorkingDirectory : public virtual Aspose::TeX::IO::IInputWorkingDirectory
{
    typedef IOutputWorkingDirectory ThisType;
    typedef Aspose::TeX::IO::IInputWorkingDirectory BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Returns the stream to write to.
    /// </summary>
    /// <param name="fileName">The file name.</param>
    /// <param name="fullName">The full file name.</param>
    /// <returns>The stream.</returns>
    virtual System::SharedPtr<System::IO::Stream> GetOutputFile(System::String fileName, System::String& fullName) = 0;
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


