﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include "Aspose.TeX.Cpp/IO/IInputTerminal.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace System
{
namespace IO
{
class TextReader;
} // namespace IO
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// Provides the console as a terminal input source. Wrapper for <see cref="System::Console::In"></see>.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS InputConsoleTerminal : public Aspose::TeX::IO::IInputTerminal
{
    typedef InputConsoleTerminal ThisType;
    typedef Aspose::TeX::IO::IInputTerminal BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Gets the console as a terminal input source.
    /// </summary>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::TextReader> get_Reader() override;
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


