﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/string.h>

#include "Aspose.TeX.Cpp/IO/IInputWorkingDirectory.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace System
{
namespace IO
{
class Stream;
} // namespace IO
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// Implements the regular file system's method for getting a file stream to read from.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS InputFileSystemDirectory : public virtual Aspose::TeX::IO::IInputWorkingDirectory
{
    typedef InputFileSystemDirectory ThisType;
    typedef Aspose::TeX::IO::IInputWorkingDirectory BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Creates new instance.
    /// </summary>
    /// <param name="basePath">The base path of the directory.</param>
    ASPOSE_TEX_SHARED_API InputFileSystemDirectory(System::String basePath);
    
    /// <summary>
    /// Returns the stream to read from.
    /// </summary>
    /// <param name="fileName">The file name.</param>
    /// <param name="fullName">The full file name.</param>
    /// <param name="searchSubdirectories">Indicates whether to look for a file in subdirectories.</param>
    /// <returns>The stream.</returns>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::Stream> GetFile(System::String fileName, System::String& fullName, bool searchSubdirectories = false) override;
    /// <summary>
    /// Disposes the instance.
    /// </summary>
    ASPOSE_TEX_SHARED_API void Dispose() override;
    
private:

    System::String _basePath;
    
    System::SharedPtr<System::IO::Stream> GetFromSubdir(System::String dir, System::String fileName, System::String& fullName, bool searchSubdirectories);
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


