﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include "Aspose.TeX.Cpp/IO/IOutputTerminal.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace System
{
namespace IO
{
class TextWriter;
} // namespace IO
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// Provides the console as a terminal output destination. Wrapper for <see cref="System::Console::Out"></see>.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS OutputConsoleTerminal : public Aspose::TeX::IO::IOutputTerminal
{
    typedef OutputConsoleTerminal ThisType;
    typedef Aspose::TeX::IO::IOutputTerminal BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Gets the console as a terminal output destination.
    /// </summary>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::TextWriter> get_Writer() override;
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


