﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include "Aspose.TeX.Cpp/IO/IOutputWorkingDirectory.h"
#include "Aspose.TeX.Cpp/IO/InputFileSystemDirectory.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace System
{
namespace IO
{
class Stream;
} // namespace IO
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// Implements the regular file system's method for getting a file stream to write to.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS OutputFileSystemDirectory : public Aspose::TeX::IO::InputFileSystemDirectory, public Aspose::TeX::IO::IOutputWorkingDirectory
{
    typedef OutputFileSystemDirectory ThisType;
    typedef Aspose::TeX::IO::InputFileSystemDirectory BaseType;
    typedef Aspose::TeX::IO::IOutputWorkingDirectory BaseType1;
    
    typedef ::System::BaseTypesInfo<BaseType, BaseType1> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Creates new instance.
    /// </summary>
    /// <param name="basePath">The base path of the directory.</param>
    ASPOSE_TEX_SHARED_API OutputFileSystemDirectory(System::String basePath);
    
    /// <summary>
    /// Returns the stream to write to.
    /// </summary>
    /// <param name="fileName">The file name.</param>
    /// <param name="fullName">The full file name.</param>
    /// <returns>The stream.</returns>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::Stream> GetOutputFile(System::String fileName, System::String& fullName) override;
    /// <summary>
    /// Disposes the instance.
    /// </summary>
    ASPOSE_TEX_SHARED_API void Dispose() override;
    
private:

    System::String _basePath;
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


