﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/string.h>

#include "Aspose.TeX.Cpp/IO/IOutputTerminal.h"
#include "Aspose.TeX.Cpp/IO/IFileTerminal.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace Aspose
{
namespace TeX
{
namespace IO
{
class IOutputWorkingDirectory;
class OutputMemoryTerminal;
} // namespace IO
} // namespace TeX
} // namespace Aspose
namespace System
{
namespace IO
{
class TextWriter;
} // namespace IO
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// Implements a terminal whose output is to be written to a file in some working directory.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS OutputFileTerminal : public Aspose::TeX::IO::IOutputTerminal, public Aspose::TeX::IO::IFileTerminal
{
    typedef OutputFileTerminal ThisType;
    typedef Aspose::TeX::IO::IOutputTerminal BaseType;
    typedef Aspose::TeX::IO::IFileTerminal BaseType1;
    
    typedef ::System::BaseTypesInfo<BaseType, BaseType1> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Gets/sets the file name.
    /// </summary>
    ASPOSE_TEX_SHARED_API System::String get_FileName() override;
    /// <summary>
    /// Gets/sets the file name.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_FileName(System::String value) override;
    /// <summary>
    /// Gets the writer for the output terminal.
    /// </summary>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::TextWriter> get_Writer() override;
    
    /// <summary>
    /// Creates new instance.
    /// </summary>
    /// <param name="workingDirectory">The working directory.</param>
    ASPOSE_TEX_SHARED_API OutputFileTerminal(System::SharedPtr<IOutputWorkingDirectory> workingDirectory);
    
    /// <summary>
    /// Finalizes the log, e.g., writes it to file.
    /// </summary>
    ASPOSE_TEX_SHARED_API void WriteFile() override;
    
protected:

    #ifdef ASPOSE_GET_SHARED_MEMBERS
    ASPOSE_TEX_SHARED_API System::Object::shared_members_type GetSharedMembers() override;
    #endif
    
    
private:

    System::String _fileName;
    System::SharedPtr<OutputMemoryTerminal> _memTerminal;
    System::SharedPtr<IOutputWorkingDirectory> _workingDirectory;
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


