﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/shared_ptr.h>

#include "Aspose.TeX.Cpp/IO/IOutputTerminal.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace System
{
namespace IO
{
class Stream;
class TextWriter;
} // namespace IO
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// Provides a memory stream as a terminal output destination.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS OutputMemoryTerminal : public Aspose::TeX::IO::IOutputTerminal
{
    typedef OutputMemoryTerminal ThisType;
    typedef Aspose::TeX::IO::IOutputTerminal BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Gets the writer for the output terminal.
    /// </summary>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::TextWriter> get_Writer() override;
    /// <summary>
    /// Gets the memory stream.
    /// </summary>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::Stream> get_Stream() const;
    
protected:

    #ifdef ASPOSE_GET_SHARED_MEMBERS
    ASPOSE_TEX_SHARED_API System::Object::shared_members_type GetSharedMembers() override;
    #endif
    
    
private:

    System::SharedPtr<System::IO::Stream> _stream;
    System::SharedPtr<System::IO::TextWriter> _writer;
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


