﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/string.h>

#include "Aspose.TeX.Cpp/IO/IOutputWorkingDirectory.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace Aspose
{
namespace Pal
{
class PalZipWriter;
} // namespace Pal
} // namespace Aspose
namespace System
{
namespace Collections
{
namespace Generic
{
template <typename, typename> class Dictionary;
} // namespace Generic
} // namespace Collections
namespace IO
{
class Stream;
} // namespace IO
} // namespace System

namespace Aspose {

namespace TeX {

namespace IO {

/// <summary>
/// Implements the method for getting a file stream to write to when working directory is a ZIP archive.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS OutputZipDirectory : public Aspose::TeX::IO::IOutputWorkingDirectory
{
    typedef OutputZipDirectory ThisType;
    typedef Aspose::TeX::IO::IOutputWorkingDirectory BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
public:

    /// <summary>
    /// Creates new instance.
    /// </summary>
    /// <param name="zipStream">The stream to write the archive to.</param>
    ASPOSE_TEX_SHARED_API OutputZipDirectory(System::SharedPtr<System::IO::Stream> zipStream);
    
    /// <summary>
    /// Returns the stream to read from.
    /// </summary>
    /// <param name="fileName">The file name.</param>
    /// <param name="fullName">The full file name.</param>
    /// <param name="searchSubdirectories">Indicates whether to look for a file in subdirectories.</param>
    /// <returns>The stream.</returns>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::Stream> GetFile(System::String fileName, System::String& fullName, bool searchSubdirectories = false) override;
    /// <summary>
    /// Returns the stream to write to.
    /// </summary>
    /// <param name="fileName">The file name.</param>
    /// <param name="fullName">The full file name.</param>
    /// <returns>The stream.</returns>
    ASPOSE_TEX_SHARED_API System::SharedPtr<System::IO::Stream> GetOutputFile(System::String fileName, System::String& fullName) override;
    /// <summary>
    /// Finalizes ZIP archive.
    /// </summary>
    ASPOSE_TEX_SHARED_API void Finish();
    /// <summary>
    /// Disposes the instance.
    /// </summary>
    ASPOSE_TEX_SHARED_API void Dispose() override;
    
protected:

    #ifdef ASPOSE_GET_SHARED_MEMBERS
    ASPOSE_TEX_SHARED_API System::Object::shared_members_type GetSharedMembers() override;
    #endif
    
    
private:

    System::SharedPtr<System::IO::Stream> _zipStream;
    System::SharedPtr<Aspose::Pal::PalZipWriter> _zipWriter;
    System::SharedPtr<System::Collections::Generic::Dictionary<System::String, System::SharedPtr<System::IO::Stream>>> _entries;
    
};

} // namespace IO
} // namespace TeX
} // namespace Aspose


