﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

namespace Aspose {

namespace TeX {

/// <summary>
/// Represents increasing amounts of user interaction.
/// </summary>
enum class Interaction
{
    /// <summary>
    /// Omits all stops and omits terminal output.
    /// </summary>
    BatchMode,
    /// <summary>
    /// Omits all stops.
    /// </summary>
    NonstopMode,
    /// <summary>
    /// Omits error stops.
    /// </summary>
    ScrollMode,
    /// <summary>
    /// Stops at every opportunity to interact.
    /// </summary>
    ErrorStopMode,
    /// <summary>
    /// Preserves the interaction mode defined by a TeX format.
    /// </summary>
    FormatDefined
};

} // namespace TeX
} // namespace Aspose


