﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/object.h>

#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace Aspose
{
namespace TeX
{
namespace Presentation
{
namespace Aps
{
class ApsDevice;
} // namespace Aps
class DviAdapter;
} // namespace Presentation
} // namespace TeX
} // namespace Aspose

namespace Aspose {

namespace TeX {

namespace Presentation {

/// <summary>
/// Container class for glyph data required for precise typesetting of a text string.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS GlyphData : public System::Object
{
    typedef GlyphData ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
    friend class Aspose::TeX::Presentation::Aps::ApsDevice;
    friend class Aspose::TeX::Presentation::DviAdapter;
    
public:

    /// <summary>
    /// Gets/sets glyph width defined by font.
    /// </summary>
    ASPOSE_TEX_SHARED_API float get_NaturalWidth() const;
    /// <summary>
    /// Gets/sets glyph width defined by font.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_NaturalWidth(float value);
    /// <summary>
    /// Gets/sets glyph width taking into account kerns.
    /// </summary>
    ASPOSE_TEX_SHARED_API float get_AdvanceWidth() const;
    /// <summary>
    /// Gets/sets glyph width taking into account kerns.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_AdvanceWidth(float value);
    /// <summary>
    /// Gets/sets horizontal offset.
    /// </summary>
    ASPOSE_TEX_SHARED_API float get_UOffset() const;
    /// <summary>
    /// Gets/sets horizontal offset.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_UOffset(float value);
    /// <summary>
    /// Gets/sets vertical offset.
    /// </summary>
    ASPOSE_TEX_SHARED_API float get_VOffset() const;
    /// <summary>
    /// Gets/sets vertical offset.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_VOffset(float value);
    
    /// <summary>
    /// Creates new instance.
    /// </summary>
    ASPOSE_TEX_SHARED_API GlyphData();
    
protected:

    float get_Height() const;
    void set_Height(float value);
    float get_Depth() const;
    void set_Depth(float value);
    
private:

    float _naturalWidth;
    float _advanceWidth;
    float _uOffset;
    float _vOffset;
    float _height;
    float _depth;
    
};

} // namespace Presentation
} // namespace TeX
} // namespace Aspose


