﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/array.h>
#include <cstdint>

#include "Aspose.TeX.Cpp/Presentation/SaveOptions.h"
#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace Aspose
{
namespace Images
{
enum class ImageTypeCore;
} // namespace Images
namespace TeX
{
namespace Presentation
{
namespace Image
{
class ImageDevice;
} // namespace Image
} // namespace Presentation
} // namespace TeX
} // namespace Aspose
namespace System
{
namespace Drawing
{
namespace Drawing2D
{
enum class InterpolationMode;
enum class SmoothingMode;
} // namespace Drawing2D
} // namespace Drawing
} // namespace System

namespace Aspose {

namespace TeX {

namespace Presentation {

namespace Image {

/// <summary>
/// Basic class representing options of saving to PDF.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS ImageSaveOptions : public Aspose::TeX::Presentation::SaveOptions
{
    typedef ImageSaveOptions ThisType;
    typedef Aspose::TeX::Presentation::SaveOptions BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
    friend class Aspose::TeX::Presentation::Image::ImageDevice;
    
public:

    /// <summary>
    /// Gets/sets the array of numbers of pages to convert.
    /// </summary>
    ASPOSE_TEX_SHARED_API const System::ArrayPtr<int32_t>& get_PageNumbers() const;
    /// <summary>
    /// Gets/sets the array of numbers of pages to convert.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_PageNumbers(System::ArrayPtr<int32_t> value);
    /// <summary>
    /// Gets/sets the image resolution.
    /// </summary>
    ASPOSE_TEX_SHARED_API float get_Resolution() const;
    /// <summary>
    /// Gets/sets the image resolution.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_Resolution(float value);
    /// <summary>
    /// Gets/sets the smoothing mode.
    /// </summary>
    ASPOSE_TEX_SHARED_API System::Drawing::Drawing2D::SmoothingMode get_SmoothingMode() const;
    /// <summary>
    /// Gets/sets the smoothing mode.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_SmoothingMode(System::Drawing::Drawing2D::SmoothingMode value);
    /// <summary>
    /// Gets/sets the interpolation mode.
    /// </summary>
    ASPOSE_TEX_SHARED_API System::Drawing::Drawing2D::InterpolationMode get_InterpolationMode() const;
    /// <summary>
    /// Gets/sets the interpolation mode.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_InterpolationMode(System::Drawing::Drawing2D::InterpolationMode value);
    
    /// <summary>
    /// Creates new instance of options.
    /// </summary>
    ASPOSE_TEX_SHARED_API ImageSaveOptions();
    
protected:

    virtual System::String GetExtension() = 0;
    virtual Aspose::Images::ImageTypeCore GetNativeImageType() = 0;
    #ifdef ASPOSE_GET_SHARED_MEMBERS
    ASPOSE_TEX_SHARED_API System::Object::shared_members_type GetSharedMembers() override;
    #endif
    
    
private:

    System::ArrayPtr<int32_t> pr_PageNumbers;
    float pr_Resolution;
    System::Drawing::Drawing2D::SmoothingMode pr_SmoothingMode;
    System::Drawing::Drawing2D::InterpolationMode pr_InterpolationMode;
    
};

} // namespace Image
} // namespace Presentation
} // namespace TeX
} // namespace Aspose


