﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/string.h>
#include <drawing/size_f.h>

#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace Aspose
{
namespace TeX
{
namespace Features
{
class MathRenderer;
} // namespace Features
namespace Presentation
{
namespace Aps
{
class ApsDevice;
} // namespace Aps
enum class DocumentFormat;
namespace Image
{
class ImageDevice;
class ImageSaveOptions;
} // namespace Image
namespace Pdf
{
class PdfSaveOptions;
} // namespace Pdf
namespace Xps
{
class XpsSaveOptions;
} // namespace Xps
} // namespace Presentation
namespace Tests
{
namespace ObjectLaTeX
{
class ObjectLaTeXInstallationTests;
class ObjectLaTeXRegressionTests;
class ObjectLaTeXVisualTests;
namespace Packages
{
class DeviceIndependentGraphicPackagesTests;
class GeometryPackageTests;
class GraphicsPackageTests;
class ObjectLaTeXPackagesTests;
} // namespace Packages
} // namespace ObjectLaTeX
namespace ObjectTeX
{
class ObjectTeXGraphicsTests;
class ObjectTeXRegressionTests;
class ObjectTeXVisualTests;
} // namespace ObjectTeX
namespace VirTeX
{
class IOTests;
class VirTeXTracingsTests;
class VirTeXVisualTests;
} // namespace VirTeX
} // namespace Tests
} // namespace TeX
} // namespace Aspose

namespace Aspose {

namespace TeX {

namespace Presentation {

/// <summary>
/// Basic class for document saving options.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS SaveOptions : public System::Object
{
    typedef SaveOptions ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
    friend class Aspose::TeX::Features::MathRenderer;
    friend class Aspose::TeX::Presentation::Aps::ApsDevice;
    friend class Aspose::TeX::Presentation::Image::ImageSaveOptions;
    friend class Aspose::TeX::Presentation::Image::ImageDevice;
    friend class Aspose::TeX::Presentation::Pdf::PdfSaveOptions;
    friend class Aspose::TeX::Presentation::Xps::XpsSaveOptions;
    friend class Aspose::TeX::Tests::VirTeX::IOTests;
    friend class Aspose::TeX::Tests::VirTeX::VirTeXTracingsTests;
    friend class Aspose::TeX::Tests::VirTeX::VirTeXVisualTests;
    friend class Aspose::TeX::Tests::ObjectTeX::ObjectTeXVisualTests;
    friend class Aspose::TeX::Tests::ObjectTeX::ObjectTeXGraphicsTests;
    friend class Aspose::TeX::Tests::ObjectTeX::ObjectTeXRegressionTests;
    friend class Aspose::TeX::Tests::ObjectLaTeX::ObjectLaTeXRegressionTests;
    friend class Aspose::TeX::Tests::ObjectLaTeX::ObjectLaTeXInstallationTests;
    friend class Aspose::TeX::Tests::ObjectLaTeX::ObjectLaTeXVisualTests;
    friend class Aspose::TeX::Tests::ObjectLaTeX::Packages::GraphicsPackageTests;
    friend class Aspose::TeX::Tests::ObjectLaTeX::Packages::GeometryPackageTests;
    friend class Aspose::TeX::Tests::ObjectLaTeX::Packages::ObjectLaTeXPackagesTests;
    friend class Aspose::TeX::Tests::ObjectLaTeX::Packages::DeviceIndependentGraphicPackagesTests;
    
public:

    /// <summary>
    /// Gets/sets the flag indicating whether to subset fonts in output file or not.
    /// </summary>
    ASPOSE_TEX_SHARED_API bool get_SubsetFonts() const;
    /// <summary>
    /// Gets/sets the flag indicating whether to subset fonts in output file or not.
    /// </summary>
    ASPOSE_TEX_SHARED_API void set_SubsetFonts(bool value);
    
protected:

    DocumentFormat get_DestinationFormat() const;
    System::String get_ApsSerializationPath() const;
    void set_ApsSerializationPath(System::String value);
    System::Drawing::SizeF get_Size() const;
    void set_Size(System::Drawing::SizeF value);
    
    SaveOptions();
    
    #ifdef ASPOSE_GET_SHARED_MEMBERS
    ASPOSE_TEX_SHARED_API System::Object::shared_members_type GetSharedMembers() override;
    #endif
    
    
private:

    System::String _apsSerializationPath;
    System::Drawing::SizeF _size;
    bool _subsetFonts;
    DocumentFormat pr_DestinationFormat;
    
    void set_DestinationFormat(DocumentFormat value);
    
};

} // namespace Presentation
} // namespace TeX
} // namespace Aspose


