﻿#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/object.h>

#include "Aspose.TeX.Cpp/aspose_tex_api_defs.h"

namespace Aspose
{
namespace TeX
{
namespace Reading
{
namespace EqtbDefinitions
{
class EqtbDefinition;
} // namespace EqtbDefinitions
class TeXReader;
} // namespace Reading
namespace ResourceProviders
{
class FormatProvider;
} // namespace ResourceProviders
class TeXConfig;
} // namespace TeX
} // namespace Aspose

namespace Aspose {

namespace TeX {

/// <summary>
/// Class defining constants to choose a TeX engine extension from.
/// </summary>
class ASPOSE_TEX_SHARED_CLASS TeXExtension : public System::Object
{
    typedef TeXExtension ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_TEX_SHARED_RTTI_INFO_DECL();
    
    friend class Aspose::TeX::Reading::TeXReader;
    friend class Aspose::TeX::TeXConfig;
    
public:

    /// <summary>
    /// ObjectTeX extensions.
    /// </summary>
    static ASPOSE_TEX_SHARED_API System::SharedPtr<TeXExtension>& ObjectTeX();
    
protected:

    static System::SharedPtr<TeXExtension>& TeXNoFallbackFormat();
    static System::SharedPtr<TeXExtension>& ObjectTeXNoFallbackFormat();
    /// <summary>
    /// The original TeX engine.
    /// </summary>
    static System::SharedPtr<TeXExtension>& TeX();
    
    System::SharedPtr<Aspose::TeX::Reading::EqtbDefinitions::EqtbDefinition> get_EqtbDefinition() const;
    System::SharedPtr<ResourceProviders::FormatProvider> get_FallbackFormatProvider() const;
    
    #ifdef ASPOSE_GET_SHARED_MEMBERS
    ASPOSE_TEX_SHARED_API System::Object::shared_members_type GetSharedMembers() override;
    #endif
    
    
private:

    System::SharedPtr<Aspose::TeX::Reading::EqtbDefinitions::EqtbDefinition> _eqtbDefinition;
    System::SharedPtr<ResourceProviders::FormatProvider> _fallbackFormatProvider;
    
    TeXExtension(System::SharedPtr<Aspose::TeX::Reading::EqtbDefinitions::EqtbDefinition> eqtbDefinition, System::SharedPtr<ResourceProviders::FormatProvider> fallbackFormatProvider);
    
    MEMBER_FUNCTION_MAKE_OBJECT_DECLARATION(TeXExtension, CODEPORTING_ARGS(System::SharedPtr<Aspose::TeX::Reading::EqtbDefinitions::EqtbDefinition> eqtbDefinition, System::SharedPtr<ResourceProviders::FormatProvider> fallbackFormatProvider));
    
};

} // namespace TeX
} // namespace Aspose


