/// @file drawing/pens.h
#ifndef _aspose_drawing_pens_h_
#define _aspose_drawing_pens_h_

#include "fwd.h"
#include "drawing/pen.h"

namespace System { namespace Drawing {

/// Provides a set of pre-created Pen objects.
/// This is a static type with no instance services.
/// You should never create instances of it by any means.
class Pens
{
public:
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#00FFFFFF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Transparent();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF0F8FF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_AliceBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFAEBD7.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_AntiqueWhite();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FFFF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Aqua();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF7FFFD4.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Aquamarine();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF0FFFF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Azure();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF5F5DC.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Beige();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFE4C4.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Bisque();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF000000.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Black();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFEBCD.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_BlanchedAlmond();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF0000FF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Blue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8A2BE2.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_BlueViolet();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFA52A2A.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Brown();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDEB887.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_BurlyWood();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF5F9EA0.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_CadetBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF7FFF00.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Chartreuse();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFD2691E.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Chocolate();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF7F50.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Coral();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF6495ED.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_CornflowerBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFF8DC.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Cornsilk();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDC143C.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Crimson();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FFFF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Cyan();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00008B.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF008B8B.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkCyan();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFB8860B.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkGoldenrod();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFA9A9A9.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkGray();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF006400.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFBDB76B.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkKhaki();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8B008B.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkMagenta();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF556B2F.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkOliveGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF8C00.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkOrange();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF9932CC.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkOrchid();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8B0000.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkRed();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFE9967A.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkSalmon();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8FBC8F.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkSeaGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF483D8B.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkSlateBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF2F4F4F.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkSlateGray();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00CED1.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkTurquoise();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF9400D3.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DarkViolet();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF1493.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DeepPink();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00BFFF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DeepSkyBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF696969.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DimGray();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF1E90FF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_DodgerBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFB22222.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Firebrick();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFAF0.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_FloralWhite();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF228B22.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_ForestGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF00FF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Fuchsia();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDCDCDC.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Gainsboro();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF8F8FF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_GhostWhite();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFD700.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Gold();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDAA520.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Goldenrod();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF808080.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Gray();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF008000.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Green();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFADFF2F.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_GreenYellow();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF0FFF0.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Honeydew();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF69B4.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_HotPink();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFCD5C5C.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_IndianRed();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF4B0082.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Indigo();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFFF0.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Ivory();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF0E68C.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Khaki();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFE6E6FA.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Lavender();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFF0F5.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LavenderBlush();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF7CFC00.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LawnGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFACD.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LemonChiffon();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFADD8E6.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF08080.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightCoral();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFE0FFFF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightCyan();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFAFAD2.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightGoldenrodYellow();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF90EE90.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFD3D3D3.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightGray();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFB6C1.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightPink();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFA07A.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightSalmon();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF20B2AA.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightSeaGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF87CEFA.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightSkyBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF778899.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightSlateGray();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFB0C4DE.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightSteelBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFFE0.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LightYellow();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FF00.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Lime();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF32CD32.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_LimeGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFAF0E6.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Linen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF00FF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Magenta();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF800000.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Maroon();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF66CDAA.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumAquamarine();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF0000CD.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFBA55D3.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumOrchid();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF9370DB.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumPurple();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF3CB371.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumSeaGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF7B68EE.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumSlateBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FA9A.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumSpringGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF48D1CC.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumTurquoise();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFC71585.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MediumVioletRed();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF191970.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MidnightBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF5FFFA.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MintCream();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFE4E1.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_MistyRose();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFE4B5.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Moccasin();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFDEAD.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_NavajoWhite();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF000080.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Navy();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFDF5E6.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_OldLace();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF808000.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Olive();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF6B8E23.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_OliveDrab();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFA500.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Orange();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF4500.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_OrangeRed();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDA70D6.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Orchid();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFEEE8AA.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_PaleGoldenrod();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF98FB98.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_PaleGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFAFEEEE.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_PaleTurquoise();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDB7093.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_PaleVioletRed();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFEFD5.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_PapayaWhip();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFDAB9.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_PeachPuff();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFCD853F.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Peru();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFC0CB.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Pink();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDDA0DD.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Plum();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFB0E0E6.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_PowderBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF800080.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Purple();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF0000.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Red();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFBC8F8F.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_RosyBrown();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF4169E1.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_RoyalBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8B4513.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SaddleBrown();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFA8072.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Salmon();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF4A460.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SandyBrown();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF2E8B57.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SeaGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFF5EE.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SeaShell();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFA0522D.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Sienna();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFC0C0C0.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Silver();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF87CEEB.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SkyBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF6A5ACD.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SlateBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF708090.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SlateGray();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFAFA.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Snow();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FF7F.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SpringGreen();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF4682B4.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_SteelBlue();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFD2B48C.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Tan();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF008080.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Teal();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFD8BFD8.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Thistle();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF6347.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Tomato();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF40E0D0.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Turquoise();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFEE82EE.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Violet();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF5DEB3.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Wheat();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFFFF.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_White();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF5F5F5.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_WhiteSmoke();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFF00.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_Yellow();
    /// Returns a Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF9ACD32.
    static ASPOSECPP_SHARED_API SharedPtr<Pen> get_YellowGreen();

private:
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#00FFFFFF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Transparent;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF0F8FF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_AliceBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFAEBD7.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_AntiqueWhite;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FFFF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Aqua;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF7FFFD4.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Aquamarine;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF0FFFF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Azure;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF5F5DC.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Beige;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFE4C4.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Bisque;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF000000.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Black;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFEBCD.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_BlanchedAlmond;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF0000FF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Blue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8A2BE2.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_BlueViolet;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFA52A2A.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Brown;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDEB887.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_BurlyWood;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF5F9EA0.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_CadetBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF7FFF00.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Chartreuse;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFD2691E.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Chocolate;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF7F50.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Coral;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF6495ED.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_CornflowerBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFF8DC.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Cornsilk;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDC143C.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Crimson;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FFFF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Cyan;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00008B.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF008B8B.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkCyan;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFB8860B.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkGoldenrod;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFA9A9A9.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkGray;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF006400.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFBDB76B.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkKhaki;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8B008B.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkMagenta;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF556B2F.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkOliveGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF8C00.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkOrange;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF9932CC.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkOrchid;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8B0000.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkRed;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFE9967A.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkSalmon;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8FBC8F.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkSeaGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF483D8B.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkSlateBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF2F4F4F.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkSlateGray;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00CED1.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkTurquoise;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF9400D3.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DarkViolet;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF1493.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DeepPink;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00BFFF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DeepSkyBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF696969.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DimGray;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF1E90FF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_DodgerBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFB22222.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Firebrick;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFAF0.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_FloralWhite;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF228B22.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_ForestGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF00FF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Fuchsia;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDCDCDC.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Gainsboro;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF8F8FF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_GhostWhite;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFD700.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Gold;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDAA520.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Goldenrod;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF808080.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Gray;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF008000.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Green;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFADFF2F.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_GreenYellow;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF0FFF0.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Honeydew;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF69B4.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_HotPink;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFCD5C5C.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_IndianRed;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF4B0082.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Indigo;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFFF0.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Ivory;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF0E68C.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Khaki;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFE6E6FA.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Lavender;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFF0F5.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LavenderBlush;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF7CFC00.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LawnGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFACD.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LemonChiffon;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFADD8E6.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF08080.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightCoral;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFE0FFFF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightCyan;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFAFAD2.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightGoldenrodYellow;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF90EE90.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFD3D3D3.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightGray;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFB6C1.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightPink;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFA07A.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightSalmon;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF20B2AA.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightSeaGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF87CEFA.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightSkyBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF778899.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightSlateGray;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFB0C4DE.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightSteelBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFFE0.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LightYellow;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FF00.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Lime;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF32CD32.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_LimeGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFAF0E6.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Linen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF00FF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Magenta;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF800000.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Maroon;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF66CDAA.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumAquamarine;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF0000CD.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFBA55D3.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumOrchid;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF9370DB.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumPurple;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF3CB371.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumSeaGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF7B68EE.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumSlateBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FA9A.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumSpringGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF48D1CC.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumTurquoise;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFC71585.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MediumVioletRed;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF191970.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MidnightBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF5FFFA.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MintCream;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFE4E1.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_MistyRose;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFE4B5.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Moccasin;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFDEAD.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_NavajoWhite;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF000080.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Navy;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFDF5E6.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_OldLace;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF808000.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Olive;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF6B8E23.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_OliveDrab;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFA500.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Orange;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF4500.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_OrangeRed;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDA70D6.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Orchid;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFEEE8AA.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_PaleGoldenrod;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF98FB98.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_PaleGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFAFEEEE.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_PaleTurquoise;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDB7093.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_PaleVioletRed;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFEFD5.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_PapayaWhip;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFDAB9.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_PeachPuff;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFCD853F.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Peru;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFC0CB.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Pink;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFDDA0DD.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Plum;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFB0E0E6.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_PowderBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF800080.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Purple;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF0000.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Red;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFBC8F8F.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_RosyBrown;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF4169E1.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_RoyalBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF8B4513.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SaddleBrown;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFA8072.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Salmon;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF4A460.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SandyBrown;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF2E8B57.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SeaGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFF5EE.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SeaShell;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFA0522D.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Sienna;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFC0C0C0.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Silver;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF87CEEB.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SkyBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF6A5ACD.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SlateBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF708090.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SlateGray;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFAFA.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Snow;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF00FF7F.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SpringGreen;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF4682B4.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_SteelBlue;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFD2B48C.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Tan;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF008080.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Teal;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFD8BFD8.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Thistle;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFF6347.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Tomato;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF40E0D0.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Turquoise;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFEE82EE.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Violet;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF5DEB3.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Wheat;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFFFF.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_White;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFF5F5F5.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_WhiteSmoke;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FFFFFF00.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_Yellow;
    /// A Pen object with a width of 1 and whose ARGB color in hexadecimal notation has a value of \#FF9ACD32.
    static ASPOSECPP_SHARED_API const SharedPtr<Pen> m_YellowGreen;
};

}} // namespace System::Drawing

#endif // _aspose_drawing_pens_h_
