/// @file windows/form_border_style.h
#ifndef _aspose_system_windows_forms_form_border_style_h_
#define _aspose_system_windows_forms_form_border_style_h_

namespace System { namespace Windows { namespace Forms {

/// Defines how the border is drawn.
enum class FormBorderStyle
{
    /// No border at all.
    None = 0,
    /// Single border.
    FixedSingle = 1,
    /// 3D-like border.
    Fixed3D = 2,
    /// Dialog style border.
    FixedDialog = 3,
    /// Resizable border.
    Sizable = 4,
    /// Unresizable tool window border.
    FixedToolWindow = 5,
    /// Resizable tool window border.
    SizableToolWindow = 6 // A resizable tool window border.
};

} } }

#endif
