/// @file windows/system_information.h
#ifndef _aspose_system_windows_forms_system_information_h_
#define _aspose_system_windows_forms_system_information_h_

#include <drawing/size.h>
#include <system/string.h>
#include <system/shared_ptr.h>
#include <drawing/rectangle.h>

namespace System { namespace Drawing { class Font; } }

namespace System { namespace Windows { namespace Forms {
    /// Dummy class to make ported code that uses SystemInformation class compilable.
    /// Methods are not implemented.
    /// This is a static type with no instance services.
    /// You should never create instances of it by any means.
    struct SystemInformation
    {
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_ActiveWindowTrackingDelay();
        //static ASPOSECPP_SHARED_API ArrangeDirection get_ArrangeDirection();
        //static ASPOSECPP_SHARED_API ArrangeStartingPosition get_ArrangeStartingPosition();
        //static ASPOSECPP_SHARED_API BootMode get_BootMode();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_Border3DSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_BorderMultiplierFactor();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_BorderSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_CaptionButtonSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_CaptionHeight();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_CaretBlinkTime();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_CaretWidth();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::String get_ComputerName();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_CursorSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_DbcsEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_DebugOS();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_DoubleClickSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_DoubleClickTime();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_DragFullWindows();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_DragSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_FixedFrameBorderSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_FontSmoothingContrast();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_FontSmoothingType();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_FrameBorderSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_HighContrast();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_HorizontalFocusThickness();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_HorizontalResizeBorderThickness();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_HorizontalScrollBarArrowWidth();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_HorizontalScrollBarHeight();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_HorizontalScrollBarThumbWidth();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_IconHorizontalSpacing();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_IconSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_IconSpacingSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_IconVerticalSpacing();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsActiveWindowTrackingEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsComboBoxAnimationEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsDropShadowEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsFlatMenuEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsFontSmoothingEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsHotTrackingEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsIconTitleWrappingEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsKeyboardPreferred();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsListBoxSmoothScrollingEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsMenuAnimationEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsMenuFadeEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsMinimizeRestoreAnimationEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsSelectionFadeEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsSnapToDefaultEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsTitleBarGradientEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_IsToolTipAnimationEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_KanjiWindowHeight();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_KeyboardDelay();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_KeyboardSpeed();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MaxWindowTrackSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_MenuAccessKeysUnderlined();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MenuBarButtonSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MenuButtonSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MenuCheckSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::SharedPtr<System::Drawing::Font> get_MenuFont();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_MenuHeight();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_MenuShowDelay();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_MidEastEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MinimizedWindowSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MinimizedWindowSpacingSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MinimumWindowSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MinWindowTrackSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_MonitorCount();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_MonitorsSameDisplayFormat();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_MouseButtons();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_MouseButtonsSwapped();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_MouseHoverSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_MouseHoverTime();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_MousePresent();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_MouseSpeed();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_MouseWheelPresent();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_MouseWheelScrollDelta();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_MouseWheelScrollLines();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_NativeMouseWheelSupport();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_Network();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_PenWindows();
        //static ASPOSECPP_SHARED_API LeftRightAlignment get_PopupMenuAlignment();
        //static ASPOSECPP_SHARED_API PowerStatus get_PowerStatus();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_PrimaryMonitorMaximizedWindowSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_PrimaryMonitorSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_RightAlignedMenus();
        //static ASPOSECPP_SHARED_API ScreenOrientation get_ScreenOrientation();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_Secure();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_ShowSounds();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_SizingBorderWidth();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_SmallCaptionButtonSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_SmallIconSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_TerminalServerSession();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Size get_ToolWindowCaptionButtonSize();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_ToolWindowCaptionHeight();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_UIEffectsEnabled();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::String get_UserDomainName();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API bool get_UserInteractive();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::String get_UserName();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_VerticalFocusThickness();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_VerticalResizeBorderThickness();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_VerticalScrollBarArrowHeight();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_VerticalScrollBarThumbHeight();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API int get_VerticalScrollBarWidth();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Rectangle get_VirtualScreen();
		/// NOT IMPLEMENTED.
		/// @throws NotImplementedException Always
        static ASPOSECPP_SHARED_API System::Drawing::Rectangle get_WorkingArea();
    };
} } }

#endif
